﻿using Hotline.Share.Enums.ExportWord;
using System.Drawing;

namespace Hotline.Share.Dtos.ExportWord
{
    public class ExportByteWord
    {
        public byte[] WordBytes { get; set; }
    }

    public class ExportRun
    {
        /// <summary>
        /// 
        /// </summary>
        public string Text { get; set; } = "";

        /// <summary>
        /// 
        /// </summary>
        public Color Color { get; set; } = Color.Black;

        /// <summary>
        /// 
        /// </summary>
        public int FontSize { get; set; } = 12;

        /// <summary>
        /// 
        /// </summary>
        public string FontFamily { get; set; } = "等线 (中文正文)";

        /// <summary>
        /// 
        /// </summary>
        public bool IsBold { get; set; } = false;

        /// <summary>
        /// 
        /// </summary>
        public List<ExportPicture> Pictures { get; set; } = new List<ExportPicture>();
    }

    public class PlaceholderEntity
    {
        /// <summary>
        /// 
        /// </summary>
        public string Placeholder { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public EPlaceholderType PlaceholderType { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public IWordElement Data { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public IEnumerable<ExportPicture> Pictures { get; set; }
    }
}
